# RPM specfile for gnome-spell module
# Generated Wed Jul 30 17:20:22 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.3 2003/07/21 15:31:37 thunder Exp $
# from 

%define nam	gnome-spell
%define ver	1.0.5
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	1

Name:     	gnome-spell1.0
Version: 	1.0.5
Release:	0.ximian.4.1
Vendor:		Ximian, Inc.
Distribution:	Ximian Evolution for Red Hat Linux 7.3 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://gnome.org/
Source0:	gnome-spell-1.0.5.tar.gz
Patch0:		gnome-spell-pspell-compat.patch
Summary:	GNOME spell checking component
Group:		Applications/Text
Requires:	aspell >= 0.33.7.1
Requires:	aspell < 0.50
Provides:	ximian-gnome-spell1.0 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Gnome Spell is GNOME/Bonobo component for spell checking. It
contains the GNOME::Spell::Dictionary object, which provides a spell
checking dictionary (see Spell.idl for exact API definition). It is
based on pspell.

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%dir /usr/lib/gnome-spell
/usr/lib/gnome-spell/*.so
/usr/share/control-center-2.0/icons/*
/usr/share/gnome-spell-1.0.5
/usr/share/idl/*
/usr/lib/bonobo/servers/*
/usr/*/locale/*/LC_MESSAGES/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-spell-1.0.5
    ;;
all)
%setup  -q -n gnome-spell-1.0.5
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    autoheader; autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Wed Jul 30 2003 Ximian, Inc.

- Version: 1.0.5-0.ximian.4.1
- Summary: New build.
- New automated build.

* Mon May 19 2003 Ximian, Inc.

- Version: 1.0.4-0.ximian.4.1
- Summary: New build.
- New automated build.

* Mon Apr 14 2003 Ximian, Inc.

- Version: 1.0.2-0.ximian.1
- Summary: New build.
- New automated build.

